> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Check the CLI authentication progress



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi get /api/auth/cli_session/{token}
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/auth/cli_session/{token}:
    get:
      tags:
        - Auth
      summary: Check the CLI authentication progress
      operationId: NervesHubWeb.API.UserController.check_cli_session
      parameters:
        - description: CLI Session Token
          example: abc123token
          in: path
          name: token
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAuthCLISessionStatusResponse'
          description: Auth CLI session token response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      callbacks: {}
      security: []
components:
  schemas:
    UserAuthCLISessionStatusResponse:
      description: Response for checking the status of a CLI auth exchange session
      example:
        data:
          status: ready
          user_token: nhu_aaabbbccc123
      properties:
        data:
          $ref: '#/components/schemas/CLISessionStatus'
      title: UserAuthCLISessionStatusResponse
      type: object
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
    CLISessionStatus:
      description: CLI auth exchange session status
      example:
        status: ready
        user_token: nhu_aaabbbccc123
      properties:
        status:
          description: status of the auth exchange
          type: string
        user_token:
          description: user auth token
          type: string
      required:
        - status
      title: CLISessionStatus
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````